package isrp.model.service.impl;

import java.util.List;

import isrp.hibernate.model.businessobject.Country;
import isrp.hibernate.model.dao.CountryDao;
import isrp.hibernate.model.dao.factory.DaoFactory;
import isrp.model.service.CountryService;

public class CountryServiceImpl implements CountryService {

	@SuppressWarnings("unchecked")
	@Override
	public List<Country> findAll() {
		CountryDao cDao = DaoFactory.getInstance().getCountryDao();
		return cDao.findAll();
	}

}
